SKILL(1)

NOM
skill, snice - Envoyer un signal ou indiquer l'état d'un processus

SYNOPSIS
skill [signal à envoyer] [options] critères de sélection de processus
snice [nouvelle priorité] [options] critères de sélection de processus

DESCRIPTION
Ces outils sont probablement obsolète et non portables. La syntaxe de la commande est pauvrement définie. Vous devriez utiliser les commandes killall, pkill et pgrep à la place. Le signal par défaut de skill est TERM. Utilisez l'option -l ou -L pour afficher les signaux disponibles. Inclus dans cette liste des signaux particulièrement utiles : HUP, INT, KILL, STOP, CONT et 0. Certains signaux peuvent être désignés de trois manières différentes : -9 -SIGKILL -KILL. La priorité par défaut pour snice est +4. Les valeurs de priorité s'échelonnent entre +20 (la plus faible) et -20 (la plus forte). Les valeurs négatives de priorité sont réservées au superutilisateur.

OPTIONS GÉNÉRALES
-f | mode rapide | Ce n'est pas couramment utile.
-i | utilisation interactive | Il vous sera demandé d'approuver chaque action.
-v | sortie volubile | Afficher les informations sur les processus sélectionnés.
-w | avertissements activés | Ce n'est pas couramment utile.
-n | pas d'action | Afficher seulement le PID.
-V | version | Afficher la version du programe.

OPTIONS DE SÉLECTION DE PROCESSUS
Les critères de sélection sont : un terminal, un utilisateur, un PID, une commande. Les options suivantes peuvent être utilisées pour s'assurer d'une correcte interprétation. N'en voulez pas à Albert pour cette intéresante interface.
-t | Le prochain paramètre est un terminal (tty ou pty).
-u | Le prochain paramètre est un nom d'utilisateur.
-p | Le prochain paramètre est un PID.
-c | Le prochain paramètre est une commande.

SIGNAUX
Ci-dessous, la liste des signaux que l'on peut utiliser avec skill. Lorsqu'ils sont connus, leur numéro et leur comportement par défaut sont indiqués.
Nom | Numéro | Action | Description
0 | 0 | n/a | le code de sortie indique si le signal peut être envoyé
ALRM | 14 | quitter
HUP | 1 | quitter
INT | 2 | quitter
KILL | 9 | quitter | ce signal ne peut être intercepté
PIPE | 13 | quitter
POLL |  | quitter
PROF |  | quitter
TERM | 15 | quitter
USR1 |  | quitter
USR2 |  | quitter
VTALRM |  | quitter
STKFLT |  | quitter | peut ne pas être implémenté
PWR |  | ignorer | peut quitter sur certains systèmes
WINCH |  | ignorer
CHLD |  | ignorer
URG |  | ignorer
TSTP |  | suspendre | peut interagir avec le shell
TTIN |  | suspendre | peut interagir avec le shell
TTOU |  | suspendre | peut interagir avec le shell
STOP |  | suspendre | ce signal ne peut être intercepté
CONT |  | reprendre | reprendre si arrêté, sinon ignorer
ABRT | 6 | image mémoire
FPE | 8 | image mémoire
ILL | 4 | image mémoire
QUIT | 3 | image mémoire
SEGV | 11 | image mémoire
TRAP | 5 | image mémoire
SYS |  | image mémoire | peut ne pas être implémenté
EMT |  | image mémoire | peut ne pas être implémenté
BUS |  | image mémoire | la tentative de core dump peut échouer
XCPU |  | image mémoire | la tentative de core dump peut échouer
XFSZ |  | image mémoire | la tentative de core dump peut échouer

EXEMPLES
Commande | Description
snice seti crack +7 | Ralentir seti et crack
skill -KILL -v /dev/pts/* | Tuer les utilisateurs des périphériques PTY
skill -STOP viro lm davem | Stopper trois utilisateurs
snice -17 root bash | Donner la priorité au shell de root

CONFORMITÉ
Aucune norme ne s'applique.

AUTEUR
Albert Cahalan <albert@users.sf.net> a écrit skill et snice en 1999 en remplacement d'une version non libre et est l'actuel mainteneur de la collection procps. Merci de signaler les bogues (en anglais) à <procps-feedback@lists.sf.net>.

VOIR AUSSI
kill(1), killall(1), nice(1), pkill(1), renice(1), kill(2), signal(7)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 19 août 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 skill ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.